Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229431 - s-c-n resets hostname un-necessarily
Summary: s-c-n resets hostname un-necessarily
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 00:26 UTC by Brad Smith
Modified: 2008-12-16 12:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-16 12:20:09 UTC


Attachments (Terms of Use)

Description Brad Smith 2007-02-21 00:26:58 UTC
Description of problem:
When s-c-n starts, it seems to read the system's hostname as
localhost.localname, even if a different hostname is set in sysconfig/network or
by dhcp. When any network changes are committed, the hostname is changed to 
localhost.localdomain, potentially breaking sudo, X and any other
hostname-dependant services.

Version-Release number of selected component (if applicable):
1.3.95

How reproducible:
Always

Steps to Reproduce:
1. Run s-c-n
2. Look at the dns settings. Host should be localhost.localdomain
3. Add a network interface or anything else that requires saving settings
4. Save settings and close s-c-n
5. Run hostname. 
  
Actual results:
Hostname should be original value unless explicitly changed in s-c-n

Expected results:
Hostname is localhost.localdomain

Additional info:
This was reported to me by someone else and I then verified it, so it's not just
my system.

Comment 1 Brad Smith 2007-02-21 01:25:15 UTC
Upgraded to 1.3.99-1. Problem persists. 

Comment 2 Harald Hoyer 2007-02-22 08:54:29 UTC
s-c-network looks in /etc/sysconfig/network.
HOSTNAME=<hostname>

I cannot reproduce it...

Comment 3 Brad Smith 2007-02-22 14:08:19 UTC
I'm seeing it on my up2dated beta1 install and have had reports of it on RC2,
but I've also heard from someone running RC5 who has does not see the problem,
so hopefully whatever it was has been fixed. 

Comment 4 Phil Knirsch 2008-04-28 10:08:53 UTC
Has this been verified and can be closed according to comment #3?

Thanks,

Read ya, Phil

Comment 5 Phil Knirsch 2008-12-16 12:20:09 UTC
Closing due to inactivity. Please reopen if the problem persists.

Thanks & regards, Phil


Note You need to log in before you can comment on or make changes to this bug.